
from PyQt6 import QtCore, QtGui, QtWidgets
import os

class Ui_DirDialog(object):
    def setupUi(self, Dialog, resources=None):  
        Dialog.setObjectName("Dialog")
        style_dir = os.path.join(resources, 'stylesheet.qss')  
        with open(style_dir, mode='r') as f:
            Dialog.setStyleSheet(f.read())             
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(Dialog.sizePolicy().hasHeightForWidth())
        Dialog.setSizePolicy(sizePolicy)
        Dialog.setMinimumSize(QtCore.QSize(400, 0))                  
        self.horizontalLayout = QtWidgets.QHBoxLayout(Dialog)
        self.horizontalLayout.setObjectName("horizontalLayout")        
        self.verticalLayout_Level1 = QtWidgets.QVBoxLayout()
        self.verticalLayout_Level1.setObjectName("verticalLayout_Level1")
        self.verticalLayout_Level2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_Level2.setObjectName("verticalLayout_Level2")
        self.verticalLayoutSoundcloud = QtWidgets.QVBoxLayout()
        self.verticalLayoutSoundcloud.setObjectName("verticalLayoutSoundcloud")
        self.labelDirSoundcloud = QtWidgets.QLabel(parent=Dialog)
        self.labelDirSoundcloud.setObjectName("labelDirSoundcloud")
        self.verticalLayoutSoundcloud.addWidget(self.labelDirSoundcloud)
        self.horizontalLayoutSoundcloud = QtWidgets.QHBoxLayout()
        self.horizontalLayoutSoundcloud.setObjectName("horizontalLayoutSoundcloud")
        self.lineEditSoundcloudDir = QtWidgets.QLineEdit(parent=Dialog)
        self.lineEditSoundcloudDir.setObjectName("lineEditSoundcloudDir")    
        if (cdir := self.ssd.download_dirs.get('soundcloud_dir')) is not None:
            self.lineEditSoundcloudDir.setText(cdir) 
        self.horizontalLayoutSoundcloud.addWidget(self.lineEditSoundcloudDir)
        self.buttonSoundcloudDir = QtWidgets.QPushButton(parent=Dialog)
        self.buttonSoundcloudDir.setObjectName("buttonSoundcloudDir")
        self.horizontalLayoutSoundcloud.addWidget(self.buttonSoundcloudDir)
        self.verticalLayoutSoundcloud.addLayout(self.horizontalLayoutSoundcloud)
        self.verticalLayout_Level2.addLayout(self.verticalLayoutSoundcloud)
        self.verticalLayout_Bandcamp = QtWidgets.QVBoxLayout()
        self.verticalLayout_Bandcamp.setObjectName("verticalLayout_Bandcamp")
        self.labelDirBandcamp = QtWidgets.QLabel(parent=Dialog)
        self.labelDirBandcamp.setObjectName("labelDirBandcamp")
        self.verticalLayout_Bandcamp.addWidget(self.labelDirBandcamp)
        self.horizontalLayout_Bandcamp = QtWidgets.QHBoxLayout()
        self.horizontalLayout_Bandcamp.setObjectName("horizontalLayout_Bandcamp")
        self.lineEditBandcampDir = QtWidgets.QLineEdit(parent=Dialog)
        self.lineEditBandcampDir.setObjectName("lineEditBandcampDir")  
        if (cdir := self.ssd.download_dirs.get('bandcamp_dir')) is not None:
            self.lineEditBandcampDir.setText(cdir)      
        self.horizontalLayout_Bandcamp.addWidget(self.lineEditBandcampDir)
        self.buttonBandcampDir = QtWidgets.QPushButton(parent=Dialog)
        self.buttonBandcampDir.setObjectName("buttonBandcampDir")
        self.horizontalLayout_Bandcamp.addWidget(self.buttonBandcampDir)
        self.verticalLayout_Bandcamp.addLayout(self.horizontalLayout_Bandcamp)
        self.verticalLayout_Level2.addLayout(self.verticalLayout_Bandcamp)
        self.verticalLayout_Youtube = QtWidgets.QVBoxLayout()
        self.verticalLayout_Youtube.setObjectName("verticalLayout_Youtube")
        self.labelDirYoutube = QtWidgets.QLabel(parent=Dialog)
        self.labelDirYoutube.setObjectName("labelDirYoutube")
        self.verticalLayout_Youtube.addWidget(self.labelDirYoutube)
        self.horizontalLayout_Youtube = QtWidgets.QHBoxLayout()
        self.horizontalLayout_Youtube.setObjectName("horizontalLayout_Youtube")
        self.lineEditYoutubeDir = QtWidgets.QLineEdit(parent=Dialog)
        self.lineEditYoutubeDir.setObjectName("lineEditYoutubeDir")  
        if (cdir := self.ssd.download_dirs.get('youtube_dir')) is not None:
            self.lineEditYoutubeDir.setText(cdir)    
        self.horizontalLayout_Youtube.addWidget(self.lineEditYoutubeDir)
        self.buttonYoutubeDir = QtWidgets.QPushButton(parent=Dialog)
        self.buttonYoutubeDir.setObjectName("buttonYoutubeDir")
        self.horizontalLayout_Youtube.addWidget(self.buttonYoutubeDir)
        self.verticalLayout_Youtube.addLayout(self.horizontalLayout_Youtube)
        self.verticalLayout_Level2.addLayout(self.verticalLayout_Youtube)
        self.verticalLayout_Level1.addLayout(self.verticalLayout_Level2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=Dialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_Level1.addWidget(self.buttonBox)
        self.verticalLayout_Level1.setStretch(0, 1)
        self.horizontalLayout.addLayout(self.verticalLayout_Level1)

        self.retranslateUi(Dialog)        
        QtCore.QMetaObject.connectSlotsByName(Dialog)

    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        Dialog.setWindowTitle(_translate("Dialog", "Directories"))
        self.labelDirSoundcloud.setText(_translate("Dialog", "Soundcloud Downloads Directory"))
        self.buttonSoundcloudDir.setText(_translate("Dialog", "..."))
        self.labelDirBandcamp.setText(_translate("Dialog", "Bandcamp Downloads Directory"))
        self.buttonBandcampDir.setText(_translate("Dialog", "..."))
        self.labelDirYoutube.setText(_translate("Dialog", "Youtube Downloads Directory"))
        self.buttonYoutubeDir.setText(_translate("Dialog", "..."))
